part of tecfy_core_client_package;

class LocalConfigService{
  
  static bool isArabic =language == Language.arabic;
  static String languagePrefex = language == Language.arabic ? 'Ar' : 'En';

  static Language get language {
    var lang = ConfigService.getValueInt(ConfigKeys.language) == 0? Language.arabic : Language.values[ConfigService.getValueInt(ConfigKeys.language)] ?? Language.arabic;
    return lang;
  }

  static User get user=> User.fromJson(ConfigService.getValueMap(ConfigKeys.user));
 
  static set language(Language v){
   ConfigService.setValueInt(ConfigKeys.language,v.index); 
   ConfigService.isRTL = (v == Language.arabic);
   AppLocale.languageStreamController.add(LocalConfigService.language); 
  }
}


enum ConfigKeys{
  user,
  language
}
enum Language{
    notSelected,
    arabic,
    english
  }